<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBookingManagementsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: booking_managements
         */
        Schema::create('booking_managements', function ($table) {
            $table->increments('id');
            $table->integer('bus_id')->nullable();
            $table->string('source', 255)->nullable();
            $table->string('destination', 255)->nullable();
            $table->integer('available_sets')->nullable();
            $table->integer('sold_sets')->nullable();
            $table->integer('total_sets')->nullable();
            $table->integer('booking_time')->nullable();
            $table->text('ticket_numbers')->nullable();
            $table->integer('total_booked_sets')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('booking_managements');
    }
}
