<?php

namespace Litecms\BookingManagement\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind BookingManagement workflow validator
        'Litecms\BookingManagement\Models\BookingManagement' => \Litecms\BookingManagement\Workflow\BookingManagementValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind BookingManagement workflow actions
        'Litecms\BookingManagement\Models\BookingManagement' => \Litecms\BookingManagement\Workflow\BookingManagementAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind BookingManagement workflow notifiers
        'Litecms\BookingManagement\Models\BookingManagement' => \Litecms\BookingManagement\Workflow\BookingManagementNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
